summaryrefslogtreecommitdiffstats
path: root/makeself/makeself-header.sh
diff options
context:
space:
mode:
Diffstat (limited to 'makeself/makeself-header.sh')
-rwxr-xr-xmakeself/makeself-header.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/makeself/makeself-header.sh b/makeself/makeself-header.sh
index 93d937b37..83131a17c 100755
--- a/makeself/makeself-header.sh
+++ b/makeself/makeself-header.sh
@@ -218,10 +218,9 @@ MS_Check()
UnTAR()
{
if test x"\$quiet" = xn; then
- tar \$1 "$UNTAR_EXTRA" -vf - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 \$$; }
+ tar \$1vf - $UNTAR_EXTRA 2>&1 || { echo " ... Extraction failed." > /dev/tty; kill -15 \$$; }
else
-
- tar \$1 "$UNTAR_EXTRA" -f - 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 \$$; }
+ tar \$1f - $UNTAR_EXTRA 2>&1 || { echo Extraction failed. > /dev/tty; kill -15 \$$; }
fi
}